diff --git a/src/Umbraco.Web.BackOffice/Trees/ContentTreeControllerBase.cs b/src/Umbraco.Web.BackOffice/Trees/ContentTreeControllerBase.cs
index 1e0d4725a4..930c51c713 100644
--- a/src/Umbraco.Web.BackOffice/Trees/ContentTreeControllerBase.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/ContentTreeControllerBase.cs
@@ -518,14 +518,17 @@ public abstract class ContentTreeControllerBase : TreeController, ITreeNodeContr
             }
 
             MenuItemCollection menu = MenuItemCollectionFactory.Create();
+
             // only add empty recycle bin if the current user is allowed to delete by default
             if (deleteAllowed)
             {
                 menu.Items.Add(new MenuItem("emptyrecyclebin", LocalizedTextService)
                 {
-                    Icon = "trash",
-                    OpensDialog = true
+                    Icon = "icon-trash",
+                    OpensDialog = true,
+                    UseLegacyIcon = false,
                 });
+
                 menu.Items.Add(new RefreshNode(LocalizedTextService, true));
             }
 
diff --git a/src/Umbraco.Web.BackOffice/Trees/ContentTypeTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/ContentTypeTreeController.cs
index 6e2bba141e..27c26004b9 100644
--- a/src/Umbraco.Web.BackOffice/Trees/ContentTypeTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/ContentTypeTreeController.cs
@@ -133,18 +133,20 @@ public class ContentTypeTreeController : TreeController, ISearchableTree
 
         if (id == Constants.System.RootString)
         {
-            //set the default to create
+                //set the default to create
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
             // root actions
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             menu.Items.Add(new MenuItem("importdocumenttype", LocalizedTextService)
             {
-                Icon = "page-up",
+                Icon = "icon-page-up",
                 SeparatorBefore = true,
-                OpensDialog = true
+                OpensDialog = true,
+                UseLegacyIcon = false,
             });
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
             return menu;
         }
@@ -155,39 +157,46 @@ public class ContentTypeTreeController : TreeController, ISearchableTree
             //set the default to create
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
-            menu.Items.Add(new MenuItem("rename", LocalizedTextService) { Icon = "icon icon-edit" });
+            menu.Items.Add(new MenuItem("rename", LocalizedTextService)
+            {
+                Icon = "icon-edit",
+                UseLegacyIcon = false
+            });
 
             if (container.HasChildren == false)
             {
                 //can delete doc type
-                menu.Items.Add<ActionDelete>(LocalizedTextService, true, true);
+                menu.Items.Add<ActionDelete>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
             }
 
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
         }
         else
         {
             IContentType? ct = _contentTypeService.Get(int.Parse(id, CultureInfo.InvariantCulture));
             IContentType? parent = ct == null ? null : _contentTypeService.Get(ct.ParentId);
 
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
-            //no move action if this is a child doc type
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+
+            // No move action if this is a child doc type
             if (parent == null)
             {
-                menu.Items.Add<ActionMove>(LocalizedTextService, true, true);
+                menu.Items.Add<ActionMove>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
             }
 
-            menu.Items.Add<ActionCopy>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionCopy>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             menu.Items.Add(new MenuItem("export", LocalizedTextService)
             {
-                Icon = "download-alt",
+                Icon = "icon-download-alt",
                 SeparatorBefore = true,
-                OpensDialog = true
+                OpensDialog = true,
+                UseLegacyIcon = false,
             });
-            menu.Items.Add<ActionDelete>(LocalizedTextService, true, true);
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+
+            menu.Items.Add<ActionDelete>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
         }
 
         return menu;
diff --git a/src/Umbraco.Web.BackOffice/Trees/DataTypeTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/DataTypeTreeController.cs
index 6121273a22..84a32d3659 100644
--- a/src/Umbraco.Web.BackOffice/Trees/DataTypeTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/DataTypeTreeController.cs
@@ -144,7 +144,7 @@ public class DataTypeTreeController : TreeController, ISearchableTree
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
             // root actions
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             menu.Items.Add(new RefreshNode(LocalizedTextService, true));
             return menu;
         }
@@ -153,20 +153,21 @@ public class DataTypeTreeController : TreeController, ISearchableTree
             UmbracoObjectTypes.DataTypeContainer);
         if (container != null)
         {
-            //set the default to create
+                //set the default to create
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
             menu.Items.Add(new MenuItem("rename", LocalizedTextService.Localize("actions", "rename"))
             {
-                Icon = "icon icon-edit"
+                Icon = "icon-edit",
+                UseLegacyIcon = false,
             });
 
             if (container.HasChildren == false)
             {
                 //can delete data type
-                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             }
 
             menu.Items.Add(new RefreshNode(LocalizedTextService, true));
@@ -177,10 +178,10 @@ public class DataTypeTreeController : TreeController, ISearchableTree
 
             if (nonDeletableSystemDataTypeIds.Contains(int.Parse(id, CultureInfo.InvariantCulture)) == false)
             {
-                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             }
 
-            menu.Items.Add<ActionMove>(LocalizedTextService, true, true);
+            menu.Items.Add<ActionMove>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
         }
 
         return menu;
diff --git a/src/Umbraco.Web.BackOffice/Trees/DictionaryTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/DictionaryTreeController.cs
index 274e26c4bf..c23adf76d9 100644
--- a/src/Umbraco.Web.BackOffice/Trees/DictionaryTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/DictionaryTreeController.cs
@@ -140,16 +140,32 @@ public class DictionaryTreeController : TreeController
     {
         MenuItemCollection menu = _menuItemCollectionFactory.Create();
 
-        menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+        menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
         if (id != Constants.System.RootString)
         {
-            menu.Items.Add<ActionDelete>(LocalizedTextService, true, true);
-            menu.Items.Add<ActionMove>(LocalizedTextService, true, true);
+            menu.Items.Add<ActionMove>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add(new MenuItem("export", LocalizedTextService)
+            {
+                Icon = "icon-download-alt",
+                SeparatorBefore = true,
+                OpensDialog = true,
+                UseLegacyIcon = false,
+            });
+            menu.Items.Add<ActionDelete>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
+        }
+        else
+        {
+            menu.Items.Add(new MenuItem("import", LocalizedTextService)
+            {
+                Icon = "icon-page-up",
+                SeparatorBefore = true,
+                OpensDialog = true,
+                UseLegacyIcon = false,
+            });
         }
 
-
-        menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+        menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
         return menu;
     }
diff --git a/src/Umbraco.Web.BackOffice/Trees/FileSystemTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/FileSystemTreeController.cs
index ea44d5c381..210955bccb 100644
--- a/src/Umbraco.Web.BackOffice/Trees/FileSystemTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/FileSystemTreeController.cs
@@ -60,8 +60,10 @@ public abstract class FileSystemTreeController : TreeController
 
                 var name = Path.GetFileName(directory);
                 TreeNode? node = CreateTreeNode(WebUtility.UrlEncode(directory), path, queryStrings, name,
-                    "icon-folder", hasChildren);
+                    Constants.Icons.Folder, hasChildren);
+
                 OnRenderFolderNode(ref node);
+
                 if (node != null)
                 {
                     nodes.Add(node);
@@ -97,7 +99,9 @@ public abstract class FileSystemTreeController : TreeController
 
                 var name = Path.GetFileName(file);
                 TreeNode? node = CreateTreeNode(WebUtility.UrlEncode(file), path, queryStrings, name, FileIcon, false);
+
                 OnRenderFileNode(ref node);
+
                 if (node != null)
                 {
                     nodes.Add(node);
@@ -118,8 +122,9 @@ public abstract class FileSystemTreeController : TreeController
 
         TreeNode? root = rootResult.Value;
 
-        //check if there are any children
+            //check if there are any children
         ActionResult<TreeNodeCollection> treeNodesResult = GetTreeNodes(Constants.System.RootString, queryStrings);
+
         if (!(treeNodesResult.Result is null))
         {
             return treeNodesResult.Result;
@@ -137,12 +142,14 @@ public abstract class FileSystemTreeController : TreeController
     {
         MenuItemCollection menu = MenuItemCollectionFactory.Create();
 
-        //set the default to create
+            //set the default to create
         menu.DefaultMenuAlias = ActionNew.ActionAlias;
-        //create action
-        menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
-        //refresh action
-        menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+
+            //create action
+        menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+
+            //refresh action
+        menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
         return menu;
     }
@@ -151,23 +158,24 @@ public abstract class FileSystemTreeController : TreeController
     {
         MenuItemCollection menu = MenuItemCollectionFactory.Create();
 
-        //set the default to create
+            //set the default to create
         menu.DefaultMenuAlias = ActionNew.ActionAlias;
+
         //create action
-        menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+        menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
         var hasChildren = FileSystem is not null &&
                           (FileSystem.GetFiles(path).Any() || FileSystem.GetDirectories(path).Any());
 
-        //We can only delete folders if it doesn't have any children (folders or files)
+            //We can only delete folders if it doesn't have any children (folders or files)
         if (hasChildren == false)
         {
             //delete action
-            menu.Items.Add<ActionDelete>(LocalizedTextService, true, true);
+            menu.Items.Add<ActionDelete>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
         }
 
-        //refresh action
-        menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            //refresh action
+        menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
         return menu;
     }
@@ -177,7 +185,7 @@ public abstract class FileSystemTreeController : TreeController
         MenuItemCollection menu = MenuItemCollectionFactory.Create();
 
         //if it's not a directory then we only allow to delete the item
-        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
         return menu;
     }
diff --git a/src/Umbraco.Web.BackOffice/Trees/MacrosTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/MacrosTreeController.cs
index 6cb716a93f..c0b45444e9 100644
--- a/src/Umbraco.Web.BackOffice/Trees/MacrosTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/MacrosTreeController.cs
@@ -81,7 +81,7 @@ public class MacrosTreeController : TreeController
         if (id == Constants.System.RootString)
         {
             //Create the normal create action
-            menu.Items.Add<ActionNew>(LocalizedTextService);
+            menu.Items.Add<ActionNew>(LocalizedTextService, useLegacyIcon: false);
 
             //refresh action
             menu.Items.Add(new RefreshNode(LocalizedTextService, true));
@@ -96,7 +96,7 @@ public class MacrosTreeController : TreeController
         }
 
         //add delete option for all macros
-        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
         return menu;
     }
diff --git a/src/Umbraco.Web.BackOffice/Trees/MediaTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/MediaTreeController.cs
index 9e5221aa97..00b62a17f7 100644
--- a/src/Umbraco.Web.BackOffice/Trees/MediaTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/MediaTreeController.cs
@@ -124,14 +124,15 @@ public class MediaTreeController : ContentTreeControllerBase, ISearchableTree, I
             // if the user's start node is not the root then the only menu item to display is refresh
             if (UserStartNodes.Contains(Constants.System.Root) == false)
             {
-                menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+                menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
                 return menu;
             }
 
             // root actions
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add<ActionSort>(LocalizedTextService, true, true);
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add<ActionSort>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
+
             return menu;
         }
 
@@ -146,7 +147,7 @@ public class MediaTreeController : ContentTreeControllerBase, ISearchableTree, I
             return NotFound();
         }
 
-        //if the user has no path access for this node, all they can do is refresh
+            //if the user has no path access for this node, all they can do is refresh
         if (!_backofficeSecurityAccessor.BackOfficeSecurity?.CurrentUser?.HasMediaPathAccess(item, _entityService,
                 _appCaches) ?? false)
         {
@@ -155,25 +156,25 @@ public class MediaTreeController : ContentTreeControllerBase, ISearchableTree, I
         }
 
 
-        //if the media item is in the recycle bin, we don't have a default menu and we need to show a limited menu
+            //if the media item is in the recycle bin, we don't have a default menu and we need to show a limited menu
         if (item.Path.Split(Constants.CharArrays.Comma, StringSplitOptions.RemoveEmptyEntries)
             .Contains(RecycleBinId.ToInvariantString()))
         {
-            menu.Items.Add<ActionRestore>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add<ActionMove>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add<ActionRestore>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add<ActionMove>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
             menu.DefaultMenuAlias = null;
         }
         else
         {
             //return a normal node menu:
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add<ActionMove>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
-            menu.Items.Add<ActionSort>(LocalizedTextService);
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add<ActionMove>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
+            menu.Items.Add<ActionSort>(LocalizedTextService, useLegacyIcon: false);
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
             //set the default to create
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
@@ -183,7 +184,7 @@ public class MediaTreeController : ContentTreeControllerBase, ISearchableTree, I
     }
 
     /// <summary>
-    ///     Returns true or false if the current user has access to the node based on the user's allowed start node (path)
+        /// Returns true or false if the current user has access to the node based on the user's allowed start node (path) access
     ///     access
     /// </summary>
     /// <param name="id"></param>
diff --git a/src/Umbraco.Web.BackOffice/Trees/MediaTypeTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/MediaTypeTreeController.cs
index 1513a04a89..2f8cfafb02 100644
--- a/src/Umbraco.Web.BackOffice/Trees/MediaTypeTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/MediaTypeTreeController.cs
@@ -111,7 +111,7 @@ public class MediaTypeTreeController : TreeController, ISearchableTree
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
             // root actions
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             menu.Items.Add(new RefreshNode(LocalizedTextService));
             return menu;
         }
@@ -123,41 +123,42 @@ public class MediaTypeTreeController : TreeController, ISearchableTree
             // set the default to create
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
             menu.Items.Add(new MenuItem("rename", LocalizedTextService.Localize("actions", "rename"))
             {
-                Icon = "icon icon-edit"
+                Icon = "icon-edit",
+                UseLegacyIcon = false,
             });
 
             if (container.HasChildren == false)
             {
                 // can delete doc type
-                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+                    menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             }
 
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
         }
         else
         {
             IMediaType? ct = _mediaTypeService.Get(int.Parse(id, CultureInfo.InvariantCulture));
             IMediaType? parent = ct == null ? null : _mediaTypeService.Get(ct.ParentId);
 
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
             // no move action if this is a child doc type
             if (parent == null)
             {
-                menu.Items.Add<ActionMove>(LocalizedTextService, true, true);
+                menu.Items.Add<ActionMove>(LocalizedTextService, hasSeparator: true, opensDialog: true, useLegacyIcon: false);
             }
 
-            menu.Items.Add<ActionCopy>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionCopy>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             if (ct?.IsSystemMediaType() == false)
             {
-                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+                menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
             }
 
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
         }
 
         return menu;
diff --git a/src/Umbraco.Web.BackOffice/Trees/MemberTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/MemberTreeController.cs
index 088ef8c33e..22cef9c085 100644
--- a/src/Umbraco.Web.BackOffice/Trees/MemberTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/MemberTreeController.cs
@@ -137,9 +137,10 @@ public class MemberTreeController : TreeController, ISearchableTree, ITreeNodeCo
                         "/list/" + memberType.Alias)));
         }
 
-        //There is no menu for any of these nodes
+            //There is no menu for any of these nodes
         nodes.ForEach(x => x.MenuUrl = null);
-        //All nodes are containers
+
+            //All nodes are containers
         nodes.ForEach(x => x.AdditionalData.Add("isContainer", true));
 
         return nodes;
@@ -156,14 +157,15 @@ public class MemberTreeController : TreeController, ISearchableTree, ITreeNodeCo
             menu.DefaultMenuAlias = ActionNew.ActionAlias;
 
             //Create the normal create action
-            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
             menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+
             return menu;
         }
 
         //add delete option for all members
-        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
         if (_backofficeSecurityAccessor.BackOfficeSecurity?.CurrentUser?.HasAccessToSensitiveData() ?? false)
         {
diff --git a/src/Umbraco.Web.BackOffice/Trees/MemberTypeAndGroupTreeControllerBase.cs b/src/Umbraco.Web.BackOffice/Trees/MemberTypeAndGroupTreeControllerBase.cs
index d935fe6d31..f9efabd83f 100644
--- a/src/Umbraco.Web.BackOffice/Trees/MemberTypeAndGroupTreeControllerBase.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/MemberTypeAndGroupTreeControllerBase.cs
@@ -80,11 +80,11 @@ public abstract class MemberTypeAndGroupTreeControllerBase : TreeController
         IMemberType? memberType = _memberTypeService.Get(int.Parse(id));
         if (memberType != null)
         {
-            menu.Items.Add<ActionCopy>(LocalizedTextService, opensDialog: true);
+            menu.Items.Add<ActionCopy>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
         }
 
         // delete member type/group
-        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true);
+        menu.Items.Add<ActionDelete>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
 
         return menu;
     }
diff --git a/src/Umbraco.Web.BackOffice/Trees/RelationTypeTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/RelationTypeTreeController.cs
index 495d7fef07..40512caae7 100644
--- a/src/Umbraco.Web.BackOffice/Trees/RelationTypeTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/RelationTypeTreeController.cs
@@ -44,10 +44,10 @@ public class RelationTypeTreeController : TreeController
         if (id == Constants.System.RootString)
         {
             //Create the normal create action
-            menu.Items.Add<ActionNew>(LocalizedTextService);
+            menu.Items.Add<ActionNew>(LocalizedTextService, useLegacyIcon: false);
 
             //refresh action
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
             return menu;
         }
@@ -60,7 +60,7 @@ public class RelationTypeTreeController : TreeController
 
         if (relationType.IsSystemRelationType() == false)
         {
-            menu.Items.Add<ActionDelete>(LocalizedTextService);
+            menu.Items.Add<ActionDelete>(LocalizedTextService, useLegacyIcon: false);
         }
 
         return menu;
@@ -73,8 +73,7 @@ public class RelationTypeTreeController : TreeController
         if (id == Constants.System.RootString)
         {
             nodes.AddRange(_relationService.GetAllRelationTypes()
-                .Select(rt => CreateTreeNode(rt.Id.ToString(), id, queryStrings, rt.Name,
-                    "icon-trafic", false)));
+                .Select(rt => CreateTreeNode(rt.Id.ToString(), id, queryStrings, rt.Name, "icon-trafic", hasChildren: false)));
         }
 
         return nodes;
diff --git a/src/Umbraco.Web.BackOffice/Trees/TemplatesTreeController.cs b/src/Umbraco.Web.BackOffice/Trees/TemplatesTreeController.cs
index f0cd207f26..985bad3f63 100644
--- a/src/Umbraco.Web.BackOffice/Trees/TemplatesTreeController.cs
+++ b/src/Umbraco.Web.BackOffice/Trees/TemplatesTreeController.cs
@@ -119,14 +119,14 @@ public class TemplatesTreeController : TreeController, ISearchableTree
         MenuItemCollection menu = _menuItemCollectionFactory.Create();
 
         //Create the normal create action
-        MenuItem? item = menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true);
+        MenuItem? item = menu.Items.Add<ActionNew>(LocalizedTextService, opensDialog: true, useLegacyIcon: false);
         item?.NavigateToRoute(
             $"{queryStrings.GetRequiredValue<string>("application")}/templates/edit/{id}?create=true");
 
         if (id == Constants.System.RootString)
         {
-            //refresh action
-            menu.Items.Add(new RefreshNode(LocalizedTextService, true));
+                //refresh action
+            menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
             return menu;
         }
@@ -139,16 +139,15 @@ public class TemplatesTreeController : TreeController, ISearchableTree
 
         EntitySlim entity = FromTemplate(template);
 
-        //don't allow delete if it has child layouts
+            //don't allow delete if it has child layouts
         if (template.IsMasterTemplate == false)
         {
             //add delete option if it doesn't have children
-            menu.Items.Add<ActionDelete>(LocalizedTextService, true, true);
+            menu.Items.Add<ActionDelete>(LocalizedTextService, hasSeparator: true, opensDialog: true);
         }
 
-        //add refresh
-        menu.Items.Add(new RefreshNode(LocalizedTextService, true));
-
+            //add refresh
+        menu.Items.Add(new RefreshNode(LocalizedTextService, separatorBefore: true));
 
         return menu;
     }
